import { UserLocationService } from "./userlocation.service";
import { UpdateUserLocationDto } from "./userlocation.dto";
export declare class UserLocationController {
    private readonly userLocationService;
    constructor(userLocationService: UserLocationService);
    updateUserLocation(UpdateUserLocationDto: UpdateUserLocationDto): Promise<{
        status: boolean;
        message: string;
    }>;
    getDriverLocationHistory(userId: number): Promise<import("../../common/userlocation/userlocationhistory.entity").UserLocationHistory[]>;
    getNearbyDrivers(latitude: number, longitude: number, radius: number, service?: string): Promise<{
        status: boolean;
        message: string;
        data: any;
    }>;
    getDriverLocation(userId: number): Promise<import("../../common/userlocation/userlocation.entity").UserLocation>;
}
